## libbtparse 0.34

=== debian/changelog ===
libbtparse (0.34-3) unstable; urgency=low

  * Stop shipping the la file.
  * Convert to multi-arch
  * Bump standards version to 3.9.2
  * Bump debian/compat to 8
  * Fix spelling mistakes.
  * Move to format 3.0 (quilt)
  * Use dh_autotools-dev instead of patching config.{sub,guess}, and
    Build-depend on autotools-dev.

 -- Regis Boudin <regis@debian.org>  Tue, 13 Sep 2011 21:46:37 +0100

libbtparse (0.34-2) unstable; urgency=low

  * Bump Standards version to 3.7.3.
  * Update to the new FSF address.
  * Check for Makefile existence in the clean target
  * Upgrade config.{sub,guess} files
  * Use new Homepage field.

 -- Regis Boudin <regis@debian.org>  Fri, 07 Dec 2007 19:27:56 +0000

libbtparse (0.34-1) unstable; urgency=low

  * Initial Release (Closes: #135745)
  * Include patches from Michael McCracken to fix the problem of bt_split_name
    with ",,,," string and crash.
  * Added a couple of includes and variables initializations to remove some
    warnings.
  * Do not build the content of the progs directory. Provide as examples.
  * Package sponsored by Thibaut VARENE <varenet@debian.org>.

 -- Regis Boudin <regis@boudin.name>  Sun, 30 May 2004 12:58:11 +0000
