=== debian/control ===
Source: libbtparse
Section: tex
Priority: optional
Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.2
Homepage: http://starship.python.net/~gward/btOOL/


Package: libbtparse-dev
Section: libdevel
Architecture: any
Depends: libbtparse0 (= ${binary:Version}), ${misc:Depends}
Description: C library to parse BibTeX files - development files
 btparse is the C component of btOOL, a pair of libraries for parsing and
 processing BibTeX files. It is built on top of a lexical analyzer and parser
 constructed using PCCTS. The library provides entry points to the parser,
 functions to traverse and query the abstract-syntax tree that it produces, and
 some functions for processing strings in "the BibTeX way".
 .
 This package contains the necessary symlinks, headers and object files needed
 develop applications using btparse.

Package: libbtparse0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library to parse BibTeX files
 btparse is the C component of btOOL, a pair of libraries for parsing and
 processing BibTeX files. It is built on top of a lexical analyzer and parser
 constructed using PCCTS. The library provides entry points to the parser,
 functions to traverse and query the abstract-syntax tree that it produces, and
 some functions for processing strings in "the BibTeX way".
